Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.puremvc.java.interfaces
Interface INotification

All Known Implementing Classes:
  Notification

    public interface INotification

The interface definition for a PureMVC Notification.

PureMVC does not rely upon underlying event models such as the one provided with Flash, and ActionScript 3 does not have an inherent event model.

The Observer Pattern as implemented within PureMVC exists to support event-driven communication between the application and the actors of the MVC triad.

Notifications are not meant to be a replacement for Events in Flex/Flash/Apollo. Generally, `IMediator` implementors place event listeners on their view components, which they then handle in the usual way. This may lead to the broadcast of `Notification`s to trigger `ICommand`s or to communicate with other `IMediators`. `IProxy` and `ICommand` instances communicate with each other and `IMediator`s by broadcasting `INotification`s.

A key difference between Flash `Event`s and PureMVC `Notification`s is that `Event`s follow the 'Chain of Responsibility' pattern, 'bubbling' up the display hierarchy until some parent component handles the `Event`, while PureMVC `Notification`s follow a 'Publish/Subscribe' pattern. PureMVC classes need not be related to each other in a parent/child relationship in order to communicate with one another using `Notification`s.

See Also:
  `IView`, `IObserver`

Method Summary
`java.lang.Object` | `getBody()` Get the body of the `INotification` instance
`java.lang.String` | `getName()` Get the name of the `INotification` instance.
`java.lang.String` | `getType()` Get the type of the `INotification` instance
`void` | `setBody(java.lang.Object body)` Set the body of the `INotification` instance
`void` | `setType(java.lang.String type)` Set the type of the `INotification` instance
`java.lang.String` | `toString()` Get the string representation of the `INotification` instance

Method Detail

### getName

    java.lang.String getName()

  Get the name of the `INotification` instance. No setter, should be set by constructor only

  Returns:
    the name

### setBody

    void setBody(java.lang.Object body)

  Set the body of the `INotification` instance

  Parameters:
    `body` -

### getBody

    java.lang.Object getBody()

  Get the body of the `INotification` instance

  Returns:
    the body

### setType

    void setType(java.lang.String type)

  Set the type of the `INotification` instance

  Parameters:
    `type` - the type

### getType

    java.lang.String getType()

  Get the type of the `INotification` instance

  Returns:
    the type

### toString

    java.lang.String toString()

  Get the string representation of the `INotification` instance

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the `INotification` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD